package com.huatek.busi.mapper;

import com.huatek.busi.entity.*;
import com.huatek.busi.vo.EquipmentOnlineRateVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CableNumberMapper {

    List<EquipmentNumber> findCableNumber(@Param("siteId") String siteId, @Param("mainEquipmentId") String mainEquipmentId, @Param("dTime") String dTime);

    List<CableStatus> findCableStatus();

    List<EquipmentSumNumber> findCableSumNumber(@Param("dTime") String dTime);

    int findSumNumber(@Param("siteId") String siteId);

    int findFaultNumber(@Param("dTime") String dTime);

    int faultNumber( @Param("tId") String tId);

    TAndTransformerStatus findTransformerStatus(@Param("findCableId") String findCableId);

    List<EquipmentSensor> findEquipmentVoList();

    List<EquipmentSensorNumber> findEquipment();

    void updateCableSensor(EquipmentSensorNumber equipmentTemperatureCache);

    void addCableSensor(EquipmentSensorNumber equipmentTemperatureCache);

    List<EquipmentSensorCache> findSensorCache();

    List<EquipmentSensorCache> findCableSenSor(@Param("mainEquipmentId") String mainEquipmentId);

    EquipmentOnlineRateVo findOnlineRateByCode(@Param("extEquipmentCode") String extEquipmentCode);

    int finSumNumber(String siteId);

    EquipmentSumSensorCache findSumSensorNumber();
}
